#include <stdlib.h>
//#include <iostream.h>

#include <gfx/std.h>
#include "avars.h"
#include "AdjModel.h"


// GLOBAL SIMPLIFICATION OPTIONS

int qslim::face_target = 0;
qslim::real qslim::error_tolerance = HUGE;


bool qslim::will_use_plane_constraint = true;
bool qslim::will_use_vertex_constraint = true;

bool qslim::will_preserve_boundaries = true;
bool qslim::will_preserve_mesh_quality = true;
bool qslim::will_constrain_boundaries = true;
qslim::real qslim::boundary_constraint_weight = 1.0;

bool qslim::will_weight_by_area = false;

int qslim::placement_policy = PLACE_ENDPOINTS;

qslim::real qslim::pair_selection_tolerance = 0.0;